<?php
/*------------------------------------------------------------------------
# mod_ju_login - joomla2you Module
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');
$tabtext 	= $params->get( 'tabtext', 'Login Form' );
$tabimage 	= $params->get( 'tabimage');
$delay 	= $params->get( 'delay', 5000 );
$width = $params->get( 'width', 500 );
$height = $params->get( 'height', 300 );
$position = $params->get( 'position', 'bottom' );
$slideID = $params->get( 'slideID');
$background = $params->get( 'background', '#333');
$color = $params->get( 'color','#ccc');
$script = $params->get( 'script', 1);
$option_css = $params->get( 'option_css');
$offset = $params->get( 'offset', '100px');
$tabtype = $params->get( 'tabtype', 1) ? $tabtype = $tabtext : $tabtype = '<img src="'.$tabimage.'" width="48" height="48" />';
$autoClose = $params->get( 'autoClose', 1) ? $autoClose = "true" : $autoClose = "false";

echo '<style type="text/css">.ju-vend{width:'.$width.'px; height:'.$height.'px;}.ju-vend,.ju-vend .tab{background:'.$background.';color:'.$color.';}.ju-vend .ju-vend-content ul li a{color:'.$color.' !important;}'.$option_css.'</style>';
if($script){echo '<script type="text/javascript" src="'.JURI::root().'modules/mod_ju_login/js/jquery-1.4.2.min.js"></script>';}
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_ju_login/js/slick.js"></script>
<script type="text/javascript">
var ju_login = jQuery.noConflict();
(function($) {
$(document).ready(function(){
$('#<?php echo $slideID;?>').dcSlick({
width: <?php echo $width;?>,
location: '<?php echo $position;?>',
offset: '<?php echo $offset;?>',
speed: <?php echo $delay;?>,
tabText: '<?php echo $tabtype;?>',
autoClose: <?php echo $autoClose;?>
});
});
})(jQuery);
</script>
<div class="ju_login_wapper juslick<?php echo $params->get( 'moduleclass_sfx' ); ?>">
<div id="<?php echo $slideID;?>" class="slickmain">
<?php echo $renderer->render( $module, $options );?>
</div>
<div style="clear:both;"></div>
</div>
